using System;

namespace Takmicenje_27._11._2021_
{
    class Program
    {
        static int Najredje_slovo(int[] niz)
        {
            int min = niz[0];
            int indeks = 0;
            for (int i = 1; i < niz.Length; i++)
            {
                if (niz[i] < min)
                {
                    min = niz[i];
                    indeks = i;
                }
            }
            return indeks;
        }
        static bool Postoji_rec(int[] najsire)
        {
            for (int i = 0; i < najsire.Length; i++)
            {
                if (i == -1) return false;
            }
            return true;
        }
        static int[] Najsira_rec()
        {
            int[] najsire = new int[s.Length];
            for (int i = 0; i < najsire.Length; i++) najsire[i] = -1;
            int l = 0, d = t.Length - 1;
            for (int i = 0, j = s.Length - 1; i <= j; i++, j--)
            {
                for (int k = l; k <= d; k++)
                {
                    if (k < t.Length)
                    {
                        if (s[i] == t[k])
                        {
                            najsire[i] = k;
                            l = k + 1;
                            break;
                        }
                    }
                    else break;
                }
                if (i == j) break;
                for (int k = d; d > l; k--)
                {
                    if (k < 0) break;
                    if (s[j] == t[k])
                    {
                        najsire[j] = k;
                        d = k - 1;
                        break;
                    }
                }
            }
            return najsire;
        }
        static int Cenzura()
        {  
            int[] duplikati = new int[s.Length];
            for (int i = 0; i < s.Length; i++)
            {
                for (int j = 0; j < t.Length; j++)
                {
                    if (t[j] == s[i]) duplikati[i]++;
                }
            }

            int[] najsire = Najsira_rec();

            int brojac = 0;
            while(Postoji_rec(najsire))
            {
                int indeks = Najredje_slovo(duplikati);
                t = t.Remove(najsire[indeks], 1);
                t = t.Insert(najsire[indeks], "*");
                najsire = Najsira_rec();
                brojac++;
            }
            return brojac;
        }

        static string t = "";
        static string s = "";
        static void Main(string[] args)
        {
            string t_unos = Console.ReadLine();
            string s_unos = Console.ReadLine();
            t = t_unos;
            s = s_unos;
            Console.WriteLine(Cenzura());
            Console.WriteLine(t);
        }
    }
}